For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a wallet

This endpoint creates a wallet within a specified namespace and associates it with a team using the team ID. The request body defines the wallet's attributes, including its name, currency, spending li

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint creates a wallet within a specified namespace and associates it with a team using the team ID. The request body defines the wallet's attributes, including its name, currency, spending limits, and archival status."

Create a wallet

Create a wallet

post

This endpoint creates a wallet within a specified namespace and associates it with a team using the team ID. The request body defines the wallet's attributes, including its name, currency, spending limits, and archival status.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Body
Responses
200

Details of the created wallet.

application/json
post/v2/wallets
POST /v2/wallets HTTP/1.1
Host: billing.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 208

{
  "wallet": {
    "archived": false,
    "creditLimit": "50000.00",
    "currencyCode": "USD",
    "dailyBudget": "1000.00",
    "externalId": "ext_789GHI",
    "name": "MainCompanyWallet",
    "namespaceId": "namespace_xyz987",
    "teamId": "team_456DEF"
  }
}
{
  "wallet": {
    "archived": false,
    "creditLimit": "50000.00",
    "currencyCode": "USD",
    "dailyBudget": "1000.00",
    "externalId": "ext_789GHI",
    "id": "wallet_12345ABC",
    "name": "MainCompanyWallet",
    "namespaceId": "namespace_xyz987",
    "teamId": "team_456DEF"
  }
}